/* ==========================================================================
  ARTICLE PAGE
===========================================================================*/

.article-page {
  position: relative;
  padding-top: 30px;

  @include mq('tablet', 'max') {
    padding-top: 10px;
  }

  .container {
    position: relative;
    z-index: 3;
  }
}

.article-page__image {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;

  @include mq('tablet', 'max') {
    margin-bottom: 20px;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.article-page__content {
  max-width: 800px;
}

/* FOOTER */

.article-page__footer {
  position: relative;
  margin-top: 35px;
  padding-top: 55px;
  padding-bottom: 85px;
  background-color: $color-gray-light;

  @include mq('tablet', 'max') {
    padding-top: 35px;
    padding-bottom: 65px;
  }

  .container {
    display: flex;
    align-items: center;
    justify-content: space-between;

    @include mq('tablet-small', 'max') {
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
    }
  }
}

.article-page__date {
  @include mq('tablet-small', 'max') {
    margin-bottom: 20px;
  }
}

/* SHARE BLOCK */

.share-block {
  position: relative;
  display: flex;
  align-self: baseline;
}

.share-block__label {
  margin-right: 10px;
}

.share-block__link {
  display: inline-flex;
  align-items: center;
  width: 23px;
  color: $color-gray-dark;
  text-decoration: none;

  + .share-block__link {
    margin-left: 5px;
  }

  .icon {
    max-height: 20px;
  }
}

/* end article page */
